Changeset 1231 for ThirdParty/Glpk


Ignore:
Timestamp:
Jan 14, 2009 6:24:03 AM (11 years ago)
Author:
stefan
Message:

update to glpk 4.35

Location:
ThirdParty/Glpk/trunk
Files:
7 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/INSTALL.Glpk

    r1226 r1231  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.34.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.35.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.34.tar.gz
    21 tar xf glpk-4.34.tar
     20gunzip glpk-4.35.tar.gz
     21tar xf glpk-4.35.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.34
     24  glpk-4.35
    2525into
    2626  glpk
  • ThirdParty/Glpk/trunk/Makefile.am

    r1230 r1231  
    1 # Copyright (C) 2007-2008 Stefan Vigerske
     1# Copyright (C) 2007-2009 Stefan Vigerske
    22# All Rights Reserved.
    33# This file is distributed under the Common Public License.
     
    3535$(GLPKDIR)/src/glpapi16.c \
    3636$(GLPKDIR)/src/glpapi17.c \
     37$(GLPKDIR)/src/glpapi18.c \
     38$(GLPKDIR)/src/glpapi19.c \
    3739$(GLPKDIR)/src/glpavl.c \
    3840$(GLPKDIR)/src/glpbfd.c \
     
    4042$(GLPKDIR)/src/glpcpx.c \
    4143$(GLPKDIR)/src/glpdmp.c \
     44$(GLPKDIR)/src/glpdmx.c \
    4245$(GLPKDIR)/src/glpfhv.c \
    4346$(GLPKDIR)/src/glpgmp.c \
     
    9295$(GLPKDIR)/src/glpmps01.c \
    9396$(GLPKDIR)/src/glpmps02.c \
     97$(GLPKDIR)/src/glpnet01.c \
     98$(GLPKDIR)/src/glpnet02.c \
     99$(GLPKDIR)/src/glpnet03.c \
     100$(GLPKDIR)/src/glpnet04.c \
     101$(GLPKDIR)/src/glpnet05.c \
    94102$(GLPKDIR)/src/glppds.c \
    95103$(GLPKDIR)/src/glpqmd.c \
  • ThirdParty/Glpk/trunk/Makefile.in

    r1230 r1231  
    1515@SET_MAKE@
    1616
    17 # Copyright (C) 2007-2008 Stefan Vigerske
     17# Copyright (C) 2007-2009 Stefan Vigerske
    1818# All Rights Reserved.
    1919# This file is distributed under the Common Public License.
     
    7575        glpapi04.lo glpapi05.lo glpapi06.lo glpapi07.lo glpapi08.lo \
    7676        glpapi09.lo glpapi10.lo glpapi11.lo glpapi12.lo glpapi13.lo \
    77         glpapi14.lo glpapi15.lo glpapi16.lo glpapi17.lo glpavl.lo \
    78         glpbfd.lo glpbfx.lo glpcpx.lo glpdmp.lo glpfhv.lo glpgmp.lo \
    79         glphbm.lo glpini01.lo glpini02.lo glpios01.lo glpios02.lo \
    80         glpios03.lo glpios04.lo glpios05.lo glpios06.lo glpios07.lo \
    81         glpios08.lo glpios09.lo glpipm.lo glpipp01.lo glpipp02.lo \
    82         glplib01.lo glplib02.lo glplib03.lo glplib04.lo glplib05.lo \
    83         glplib06.lo glplib07.lo glplib08.lo glplib09.lo glplib10.lo \
    84         glplib11.lo glplib12.lo glplpf.lo glplpp01.lo glplpp02.lo \
    85         glplpx01.lo glplpx02.lo glplpx03.lo glplpx04.lo glplpx05.lo \
    86         glplpx06.lo glplpx07.lo glplpx08.lo glplpx09.lo glpluf.lo \
    87         glplux.lo glpmat.lo glpmpl01.lo glpmpl02.lo glpmpl03.lo \
    88         glpmpl04.lo glpmpl05.lo glpmpl06.lo glpmps01.lo glpmps02.lo \
    89         glppds.lo glpqmd.lo glprgr.lo glprng01.lo glprng02.lo \
    90         glpscf.lo glpscg.lo glpscl.lo glpspm.lo glpspx01.lo \
    91         glpspx02.lo glpsql.lo glpssx01.lo glpssx02.lo
     77        glpapi14.lo glpapi15.lo glpapi16.lo glpapi17.lo glpapi18.lo \
     78        glpapi19.lo glpavl.lo glpbfd.lo glpbfx.lo glpcpx.lo glpdmp.lo \
     79        glpdmx.lo glpfhv.lo glpgmp.lo glphbm.lo glpini01.lo \
     80        glpini02.lo glpios01.lo glpios02.lo glpios03.lo glpios04.lo \
     81        glpios05.lo glpios06.lo glpios07.lo glpios08.lo glpios09.lo \
     82        glpipm.lo glpipp01.lo glpipp02.lo glplib01.lo glplib02.lo \
     83        glplib03.lo glplib04.lo glplib05.lo glplib06.lo glplib07.lo \
     84        glplib08.lo glplib09.lo glplib10.lo glplib11.lo glplib12.lo \
     85        glplpf.lo glplpp01.lo glplpp02.lo glplpx01.lo glplpx02.lo \
     86        glplpx03.lo glplpx04.lo glplpx05.lo glplpx06.lo glplpx07.lo \
     87        glplpx08.lo glplpx09.lo glpluf.lo glplux.lo glpmat.lo \
     88        glpmpl01.lo glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo \
     89        glpmpl06.lo glpmps01.lo glpmps02.lo glpnet01.lo glpnet02.lo \
     90        glpnet03.lo glpnet04.lo glpnet05.lo glppds.lo glpqmd.lo \
     91        glprgr.lo glprng01.lo glprng02.lo glpscf.lo glpscg.lo \
     92        glpscl.lo glpspm.lo glpspx01.lo glpspx02.lo glpsql.lo \
     93        glpssx01.lo glpssx02.lo
    9294libcoinglpk_la_OBJECTS = $(nodist_libcoinglpk_la_OBJECTS)
    9395@COIN_BUILD_GLPK_TRUE@am_libcoinglpk_la_rpath =
     
    274276$(GLPKDIR)/src/glpapi16.c \
    275277$(GLPKDIR)/src/glpapi17.c \
     278$(GLPKDIR)/src/glpapi18.c \
     279$(GLPKDIR)/src/glpapi19.c \
    276280$(GLPKDIR)/src/glpavl.c \
    277281$(GLPKDIR)/src/glpbfd.c \
     
    279283$(GLPKDIR)/src/glpcpx.c \
    280284$(GLPKDIR)/src/glpdmp.c \
     285$(GLPKDIR)/src/glpdmx.c \
    281286$(GLPKDIR)/src/glpfhv.c \
    282287$(GLPKDIR)/src/glpgmp.c \
     
    331336$(GLPKDIR)/src/glpmps01.c \
    332337$(GLPKDIR)/src/glpmps02.c \
     338$(GLPKDIR)/src/glpnet01.c \
     339$(GLPKDIR)/src/glpnet02.c \
     340$(GLPKDIR)/src/glpnet03.c \
     341$(GLPKDIR)/src/glpnet04.c \
     342$(GLPKDIR)/src/glpnet05.c \
    333343$(GLPKDIR)/src/glppds.c \
    334344$(GLPKDIR)/src/glpqmd.c \
     
    431441@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi16.Plo@am__quote@
    432442@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi17.Plo@am__quote@
     443@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi18.Plo@am__quote@
     444@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi19.Plo@am__quote@
    433445@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpavl.Plo@am__quote@
    434446@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpbfd.Plo@am__quote@
     
    436448@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpcpx.Plo@am__quote@
    437449@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpdmp.Plo@am__quote@
     450@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpdmx.Plo@am__quote@
    438451@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpfhv.Plo@am__quote@
    439452@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpgmp.Plo@am__quote@
     
    488501@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmps01.Plo@am__quote@
    489502@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmps02.Plo@am__quote@
     503@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet01.Plo@am__quote@
     504@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet02.Plo@am__quote@
     505@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet03.Plo@am__quote@
     506@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet04.Plo@am__quote@
     507@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet05.Plo@am__quote@
    490508@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glppds.Plo@am__quote@
    491509@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpqmd.Plo@am__quote@
     
    643661@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi17.lo `test -f '$(GLPKDIR)/src/glpapi17.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi17.c
    644662
     663glpapi18.lo: $(GLPKDIR)/src/glpapi18.c
     664@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi18.lo -MD -MP -MF "$(DEPDIR)/glpapi18.Tpo" -c -o glpapi18.lo `test -f '$(GLPKDIR)/src/glpapi18.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi18.c; \
     665@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi18.Tpo" "$(DEPDIR)/glpapi18.Plo"; else rm -f "$(DEPDIR)/glpapi18.Tpo"; exit 1; fi
     666@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi18.c' object='glpapi18.lo' libtool=yes @AMDEPBACKSLASH@
     667@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     668@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi18.lo `test -f '$(GLPKDIR)/src/glpapi18.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi18.c
     669
     670glpapi19.lo: $(GLPKDIR)/src/glpapi19.c
     671@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi19.lo -MD -MP -MF "$(DEPDIR)/glpapi19.Tpo" -c -o glpapi19.lo `test -f '$(GLPKDIR)/src/glpapi19.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi19.c; \
     672@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi19.Tpo" "$(DEPDIR)/glpapi19.Plo"; else rm -f "$(DEPDIR)/glpapi19.Tpo"; exit 1; fi
     673@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi19.c' object='glpapi19.lo' libtool=yes @AMDEPBACKSLASH@
     674@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     675@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi19.lo `test -f '$(GLPKDIR)/src/glpapi19.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi19.c
     676
    645677glpavl.lo: $(GLPKDIR)/src/glpavl.c
    646678@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpavl.lo -MD -MP -MF "$(DEPDIR)/glpavl.Tpo" -c -o glpavl.lo `test -f '$(GLPKDIR)/src/glpavl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpavl.c; \
     
    678710@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpdmp.lo `test -f '$(GLPKDIR)/src/glpdmp.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpdmp.c
    679711
     712glpdmx.lo: $(GLPKDIR)/src/glpdmx.c
     713@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpdmx.lo -MD -MP -MF "$(DEPDIR)/glpdmx.Tpo" -c -o glpdmx.lo `test -f '$(GLPKDIR)/src/glpdmx.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpdmx.c; \
     714@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpdmx.Tpo" "$(DEPDIR)/glpdmx.Plo"; else rm -f "$(DEPDIR)/glpdmx.Tpo"; exit 1; fi
     715@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpdmx.c' object='glpdmx.lo' libtool=yes @AMDEPBACKSLASH@
     716@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     717@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpdmx.lo `test -f '$(GLPKDIR)/src/glpdmx.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpdmx.c
     718
    680719glpfhv.lo: $(GLPKDIR)/src/glpfhv.c
    681720@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpfhv.lo -MD -MP -MF "$(DEPDIR)/glpfhv.Tpo" -c -o glpfhv.lo `test -f '$(GLPKDIR)/src/glpfhv.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpfhv.c; \
     
    10411080@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    10421081@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpmps02.lo `test -f '$(GLPKDIR)/src/glpmps02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmps02.c
     1082
     1083glpnet01.lo: $(GLPKDIR)/src/glpnet01.c
     1084@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnet01.lo -MD -MP -MF "$(DEPDIR)/glpnet01.Tpo" -c -o glpnet01.lo `test -f '$(GLPKDIR)/src/glpnet01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet01.c; \
     1085@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnet01.Tpo" "$(DEPDIR)/glpnet01.Plo"; else rm -f "$(DEPDIR)/glpnet01.Tpo"; exit 1; fi
     1086@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnet01.c' object='glpnet01.lo' libtool=yes @AMDEPBACKSLASH@
     1087@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1088@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet01.lo `test -f '$(GLPKDIR)/src/glpnet01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet01.c
     1089
     1090glpnet02.lo: $(GLPKDIR)/src/glpnet02.c
     1091@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnet02.lo -MD -MP -MF "$(DEPDIR)/glpnet02.Tpo" -c -o glpnet02.lo `test -f '$(GLPKDIR)/src/glpnet02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet02.c; \
     1092@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnet02.Tpo" "$(DEPDIR)/glpnet02.Plo"; else rm -f "$(DEPDIR)/glpnet02.Tpo"; exit 1; fi
     1093@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnet02.c' object='glpnet02.lo' libtool=yes @AMDEPBACKSLASH@
     1094@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1095@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet02.lo `test -f '$(GLPKDIR)/src/glpnet02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet02.c
     1096
     1097glpnet03.lo: $(GLPKDIR)/src/glpnet03.c
     1098@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnet03.lo -MD -MP -MF "$(DEPDIR)/glpnet03.Tpo" -c -o glpnet03.lo `test -f '$(GLPKDIR)/src/glpnet03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet03.c; \
     1099@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnet03.Tpo" "$(DEPDIR)/glpnet03.Plo"; else rm -f "$(DEPDIR)/glpnet03.Tpo"; exit 1; fi
     1100@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnet03.c' object='glpnet03.lo' libtool=yes @AMDEPBACKSLASH@
     1101@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1102@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet03.lo `test -f '$(GLPKDIR)/src/glpnet03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet03.c
     1103
     1104glpnet04.lo: $(GLPKDIR)/src/glpnet04.c
     1105@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnet04.lo -MD -MP -MF "$(DEPDIR)/glpnet04.Tpo" -c -o glpnet04.lo `test -f '$(GLPKDIR)/src/glpnet04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet04.c; \
     1106@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnet04.Tpo" "$(DEPDIR)/glpnet04.Plo"; else rm -f "$(DEPDIR)/glpnet04.Tpo"; exit 1; fi
     1107@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnet04.c' object='glpnet04.lo' libtool=yes @AMDEPBACKSLASH@
     1108@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1109@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet04.lo `test -f '$(GLPKDIR)/src/glpnet04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet04.c
     1110
     1111glpnet05.lo: $(GLPKDIR)/src/glpnet05.c
     1112@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnet05.lo -MD -MP -MF "$(DEPDIR)/glpnet05.Tpo" -c -o glpnet05.lo `test -f '$(GLPKDIR)/src/glpnet05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet05.c; \
     1113@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnet05.Tpo" "$(DEPDIR)/glpnet05.Plo"; else rm -f "$(DEPDIR)/glpnet05.Tpo"; exit 1; fi
     1114@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnet05.c' object='glpnet05.lo' libtool=yes @AMDEPBACKSLASH@
     1115@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1116@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet05.lo `test -f '$(GLPKDIR)/src/glpnet05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet05.c
    10431117
    10441118glppds.lo: $(GLPKDIR)/src/glppds.c
  • ThirdParty/Glpk/trunk/configure

    r1230 r1231  
    2008020080  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    2008120081echo "${ECHO_T}${majorver}.${minorver}" >&6
    20082   if test $majorver != 4 || test $minorver != 34 ; then
    20083     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.34. Please update by rerunning get.GLPK\"" >&5
    20084 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.34. Please update by rerunning get.GLPK\"" >&2;}
     20082  if test $majorver != 4 || test $minorver != 35 ; then
     20083    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.35. Please update by rerunning get.GLPK\"" >&5
     20084echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.35. Please update by rerunning get.GLPK\"" >&2;}
    2008520085   { (exit 1); exit 1; }; }
    2008620086  fi
  • ThirdParty/Glpk/trunk/configure.ac

    r1230 r1231  
    7474  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
    7575  AC_MSG_RESULT([${majorver}.${minorver}])
    76   if test $majorver != 4 || test $minorver != 34 ; then
    77     AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.34. Please update by rerunning get.GLPK"])
     76  if test $majorver != 4 || test $minorver != 35 ; then
     77    AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.35. Please update by rerunning get.GLPK"])
    7878  fi
    7979else
  • ThirdParty/Glpk/trunk/get.Glpk

    r1230 r1231  
    22
    33set -e
    4 glpk_ver=4.34
     4glpk_ver=4.35
    55
    66wgetcmd=wget
  • ThirdParty/Glpk/trunk/glpk.patch

    r1229 r1231  
    1010          case GLP_ECOND:
    1111          case GLP_EBOUND:  ret = LPX_E_FAULT;   break;
    12 
    13 --- glpk/src/glpmpl05.c.orig    2008-12-04 10:00:00.000000000 +0100
    14 +++ glpk/src/glpmpl05.c 2009-01-03 18:14:11.000000000 +0100
    15 @@ -484,11 +484,11 @@
    16                    Sunday as the first day of the first week; days
    17                    preceding the first Sunday in the year are considered
    18                    to be in week 00 */
    19 -               int sun;
    20 +               int sunday;
    21                 /* sun = the first Sunday of the year */
    22 -               sun = jday(1, 1, year) - jday(1, 1, 1970);
    23 -               sun += (7 - weekday(sun));
    24 -               sprintf(buf, "%02d", (j + 7 - sun) / 7);
    25 +               sunday = jday(1, 1, year) - jday(1, 1, 1970);
    26 +               sunday += (7 - weekday(sunday));
    27 +               sprintf(buf, "%02d", (j + 7 - sunday) / 7);
    28              }
    29              else if (*f == 'V')
    30              {  /* the ISO week number as a decimal number (range 01
Note: See TracChangeset for help on using the changeset viewer.